#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t2_a1_res(int bmode_1, double* yy, double* t2_yy, double* a1_yy, double* t2_a1_yy, double* der_x, double* t2_der_x, double* a1_der_x, double* t2_a1_der_x, double* x, double* t2_x, double* a1_x, double* t2_a1_x, double* p, double* t2_p, double* a1_p, double* t2_a1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x t2_x a1_x t2_a1_x p t2_p a1_p t2_a1_p a1_yy t2_a1_yy
#pragma ad dep yy t2_yy a1_x t2_a1_x a1_p t2_a1_p
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double var_x=0; 
   double t2_var_x=0; 
   double a1_var_x=0; 
   double t2_a1_var_x=0; 
   double der_var_x=0; 
   double t2_der_var_x=0; 
   double a1_der_var_x=0; 
   double t2_a1_der_var_x=0; 
   double var_y=0; 
   double t2_var_y=0; 
   double a1_var_y=0; 
   double t2_a1_var_y=0; 
   double der_var_y=0; 
   double t2_der_var_y=0; 
   double a1_der_var_y=0; 
   double t2_a1_der_var_y=0; 
   double var_z=0; 
   double t2_var_z=0; 
   double a1_var_z=0; 
   double t2_a1_var_z=0; 
   double der_var_z=0; 
   double t2_der_var_z=0; 
   double a1_der_var_z=0; 
   double t2_a1_der_var_z=0; 
   double par_Para=0; 
   double t2_par_Para=0; 
   double a1_par_Para=0; 
   double t2_a1_par_Para=0; 
   double par_Cont=0; 
   double t2_par_Cont=0; 
   double a1_par_Cont=0; 
   double t2_a1_par_Cont=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t2_v1_0=0; 
   double a1_v1_0=0; 
   double t2_a1_v1_0=0; 
   double v1_1=0; 
   double t2_v1_1=0; 
   double a1_v1_1=0; 
   double t2_a1_v1_1=0; 
   double v1_2=0; 
   double t2_v1_2=0; 
   double a1_v1_2=0; 
   double t2_a1_v1_2=0; 
   double v1_3=0; 
   double t2_v1_3=0; 
   double a1_v1_3=0; 
   double t2_a1_v1_3=0; 
   double v1_4=0; 
   double t2_v1_4=0; 
   double a1_v1_4=0; 
   double t2_a1_v1_4=0; 
   double v1_5=0; 
   double t2_v1_5=0; 
   double a1_v1_5=0; 
   double t2_a1_v1_5=0; 
   int save_acs_cs_c=0; 
   double v2_0=0; 
   double t2_v2_0=0; 
   double v2_1=0; 
   double t2_v2_1=0; 
   double v2_2=0; 
   double t2_v2_2=0; 
   double v2_3=0; 
   double t2_v2_3=0; 
   double v2_4=0; 
   double t2_v2_4=0; 
   double v2_5=0; 
   double t2_v2_5=0; 
   // nonfloat assignment
   save_acs_cs_c=acs_cs_c;
   if (bmode_1==1) {
      // nonfloat assignment
      acs_cs[acs_cs_c]=0;
      // nonfloat assignment
      acs_cs_c=acs_cs_c+1;
      t2_v2_0=t2_var_x; // TLM scalar memory reference
      v2_0=var_x; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_x[0]; // TLM array memory reference
      v2_0=x[0]; // SAC array memory reference
      t2_var_x=t2_v2_0; // TLM =
      var_x=v2_0; // SAC =
      t2_v2_0=t2_der_var_x; // TLM scalar memory reference
      v2_0=der_var_x; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_x[0]; // TLM array memory reference
      v2_0=der_x[0]; // SAC array memory reference
      t2_der_var_x=t2_v2_0; // TLM =
      der_var_x=v2_0; // SAC =
      t2_v2_0=t2_var_y; // TLM scalar memory reference
      v2_0=var_y; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_x[1]; // TLM array memory reference
      v2_0=x[1]; // SAC array memory reference
      t2_var_y=t2_v2_0; // TLM =
      var_y=v2_0; // SAC =
      t2_v2_0=t2_der_var_y; // TLM scalar memory reference
      v2_0=der_var_y; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_x[1]; // TLM array memory reference
      v2_0=der_x[1]; // SAC array memory reference
      t2_der_var_y=t2_v2_0; // TLM =
      der_var_y=v2_0; // SAC =
      t2_v2_0=t2_var_z; // TLM scalar memory reference
      v2_0=var_z; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_x[2]; // TLM array memory reference
      v2_0=x[2]; // SAC array memory reference
      t2_var_z=t2_v2_0; // TLM =
      var_z=v2_0; // SAC =
      t2_v2_0=t2_der_var_z; // TLM scalar memory reference
      v2_0=der_var_z; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_x[2]; // TLM array memory reference
      v2_0=der_x[2]; // SAC array memory reference
      t2_der_var_z=t2_v2_0; // TLM =
      der_var_z=v2_0; // SAC =
      t2_v2_0=t2_par_Para; // TLM scalar memory reference
      v2_0=par_Para; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_p[0]; // TLM array memory reference
      v2_0=p[0]; // SAC array memory reference
      t2_par_Para=t2_v2_0; // TLM =
      par_Para=v2_0; // SAC =
      t2_v2_0=t2_par_Cont; // TLM scalar memory reference
      v2_0=par_Cont; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_p[1]; // TLM array memory reference
      v2_0=p[1]; // SAC array memory reference
      t2_par_Cont=t2_v2_0; // TLM =
      par_Cont=v2_0; // SAC =
      t2_v2_0=t2_yy[i_E]; // TLM array memory reference
      v2_0=yy[i_E]; // SAC array memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_var_x; // TLM scalar memory reference
      v2_0=var_x; // SAC scalar memory reference
      t2_v2_1=t2_par_Para; // TLM scalar memory reference
      v2_1=par_Para; // SAC scalar memory reference
      t2_v2_2=t2_par_Cont; // TLM scalar memory reference
      v2_2=par_Cont; // SAC scalar memory reference
      t2_v2_3=v2_2*t2_v2_1+v2_1*t2_v2_2; // TLM *
      v2_3=v2_1*v2_2; // SAC *
      t2_v2_4=t2_v2_3; // TLM ()
      v2_4=v2_3; // SAC ()
      t2_v2_5=t2_v2_0-t2_v2_4; // TLM -
      v2_5=v2_0-v2_4; // SAC -
      t2_yy[i_E]=t2_v2_5; // TLM =
      yy[i_E]=v2_5; // SAC =
      // nonfloat assignment
      acs_ids[acs_ids_c]=i_E;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      i_E=i_E+1;
      t2_v2_0=t2_yy[i_E]; // TLM array memory reference
      v2_0=yy[i_E]; // SAC array memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_var_y; // TLM scalar memory reference
      v2_0=var_y; // SAC scalar memory reference
      t2_v2_1=0;  // TLM constant reference
      v2_1=5;  // SAC constant reference
      t2_v2_2=t2_par_Para; // TLM scalar memory reference
      v2_2=par_Para; // SAC scalar memory reference
      t2_v2_3=v2_2*t2_v2_1+v2_1*t2_v2_2; // TLM *
      v2_3=v2_1*v2_2; // SAC *
      t2_v2_4=t2_v2_3; // TLM ()
      v2_4=v2_3; // SAC ()
      t2_v2_5=t2_v2_0-t2_v2_4; // TLM -
      v2_5=v2_0-v2_4; // SAC -
      t2_yy[i_E]=t2_v2_5; // TLM =
      yy[i_E]=v2_5; // SAC =
      // nonfloat assignment
      acs_ids[acs_ids_c]=i_E;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      i_E=i_E+1;
      t2_v2_0=t2_yy[i_E]; // TLM array memory reference
      v2_0=yy[i_E]; // SAC array memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_var_z; // TLM scalar memory reference
      v2_0=var_z; // SAC scalar memory reference
      t2_v2_1=0;  // TLM constant reference
      v2_1=0.37256;  // SAC constant reference
      t2_v2_2=t2_v2_1; // TLM ()
      v2_2=v2_1; // SAC ()
      t2_v2_3=t2_v2_0-t2_v2_2; // TLM -
      v2_3=v2_0-v2_2; // SAC -
      t2_yy[i_E]=t2_v2_3; // TLM =
      yy[i_E]=v2_3; // SAC =
      // nonfloat assignment
      acs_ids[acs_ids_c]=i_E;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      i_E=i_E+1;
      // nonfloat assignment
      acs_ids[acs_ids_c]=n_c;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      n_c=i_C;
      while (acs_cs_c>save_acs_cs_c) {
         // nonfloat assignment
         acs_cs_c=acs_cs_c-1;
         if (acs_cs[acs_cs_c]==0) {
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            n_c=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            i_E=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_yy[i_E]=t2_v2_0; // TLM =
            yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_var_z; // TLM scalar memory reference
            v2_0=var_z; // SAC scalar memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0.37256;  // SAC constant reference
            t2_v1_1=t2_v2_0; // TLM =
            v1_1=v2_0; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v1_2=t2_v2_0; // TLM =
            v1_2=v2_0; // SAC =
            t2_v2_0=t2_v1_0; // TLM scalar memory reference
            v2_0=v1_0; // SAC scalar memory reference
            t2_v2_1=t2_v1_2; // TLM scalar memory reference
            v2_1=v1_2; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_v1_3=t2_v2_2; // TLM =
            v1_3=v2_2; // SAC =
            t2_v2_0=t2_a1_yy[i_E]; // TLM array memory reference
            v2_0=a1_yy[i_E]; // SAC array memory reference
            t2_a1_v1_3=t2_v2_0; // TLM =
            a1_v1_3=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_yy[i_E]=t2_v2_0; // TLM =
            a1_yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_a1_v1_3; // TLM scalar memory reference
            v2_0=a1_v1_3; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_a1_v1_2=t2_v2_2; // TLM =
            a1_v1_2=v2_2; // SAC =
            t2_v2_0=t2_a1_v1_2; // TLM scalar memory reference
            v2_0=a1_v1_2; // SAC scalar memory reference
            t2_a1_v1_1=t2_v2_0; // TLM =
            a1_v1_1=v2_0; // SAC =
            t2_v2_0=t2_a1_var_z; // TLM scalar memory reference
            v2_0=a1_var_z; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_var_z=t2_v2_2; // TLM =
            a1_var_z=v2_2; // SAC =
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            i_E=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_yy[i_E]=t2_v2_0; // TLM =
            yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_var_y; // TLM scalar memory reference
            v2_0=var_y; // SAC scalar memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=5;  // SAC constant reference
            t2_v1_1=t2_v2_0; // TLM =
            v1_1=v2_0; // SAC =
            t2_v2_0=t2_par_Para; // TLM scalar memory reference
            v2_0=par_Para; // SAC scalar memory reference
            t2_v1_2=t2_v2_0; // TLM =
            v1_2=v2_0; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_v1_2; // TLM scalar memory reference
            v2_1=v1_2; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_v1_3=t2_v2_2; // TLM =
            v1_3=v2_2; // SAC =
            t2_v2_0=t2_v1_3; // TLM scalar memory reference
            v2_0=v1_3; // SAC scalar memory reference
            t2_v1_4=t2_v2_0; // TLM =
            v1_4=v2_0; // SAC =
            t2_v2_0=t2_v1_0; // TLM scalar memory reference
            v2_0=v1_0; // SAC scalar memory reference
            t2_v2_1=t2_v1_4; // TLM scalar memory reference
            v2_1=v1_4; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_v1_5=t2_v2_2; // TLM =
            v1_5=v2_2; // SAC =
            t2_v2_0=t2_a1_yy[i_E]; // TLM array memory reference
            v2_0=a1_yy[i_E]; // SAC array memory reference
            t2_a1_v1_5=t2_v2_0; // TLM =
            a1_v1_5=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_yy[i_E]=t2_v2_0; // TLM =
            a1_yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_a1_v1_5; // TLM scalar memory reference
            v2_0=a1_v1_5; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_v2_1=t2_a1_v1_5; // TLM scalar memory reference
            v2_1=a1_v1_5; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_a1_v1_4=t2_v2_2; // TLM =
            a1_v1_4=v2_2; // SAC =
            t2_v2_0=t2_a1_v1_4; // TLM scalar memory reference
            v2_0=a1_v1_4; // SAC scalar memory reference
            t2_a1_v1_3=t2_v2_0; // TLM =
            a1_v1_3=v2_0; // SAC =
            t2_v2_0=t2_v1_2; // TLM scalar memory reference
            v2_0=v1_2; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_1=t2_v2_2; // TLM =
            a1_v1_1=v2_2; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_2=t2_v2_2; // TLM =
            a1_v1_2=v2_2; // SAC =
            t2_v2_0=t2_a1_par_Para; // TLM scalar memory reference
            v2_0=a1_par_Para; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_2; // TLM scalar memory reference
            v2_1=a1_v1_2; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_Para=t2_v2_2; // TLM =
            a1_par_Para=v2_2; // SAC =
            t2_v2_0=t2_a1_var_y; // TLM scalar memory reference
            v2_0=a1_var_y; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_var_y=t2_v2_2; // TLM =
            a1_var_y=v2_2; // SAC =
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            i_E=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_yy[i_E]=t2_v2_0; // TLM =
            yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_var_x; // TLM scalar memory reference
            v2_0=var_x; // SAC scalar memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_par_Para; // TLM scalar memory reference
            v2_0=par_Para; // SAC scalar memory reference
            t2_v1_1=t2_v2_0; // TLM =
            v1_1=v2_0; // SAC =
            t2_v2_0=t2_par_Cont; // TLM scalar memory reference
            v2_0=par_Cont; // SAC scalar memory reference
            t2_v1_2=t2_v2_0; // TLM =
            v1_2=v2_0; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_v1_2; // TLM scalar memory reference
            v2_1=v1_2; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_v1_3=t2_v2_2; // TLM =
            v1_3=v2_2; // SAC =
            t2_v2_0=t2_v1_3; // TLM scalar memory reference
            v2_0=v1_3; // SAC scalar memory reference
            t2_v1_4=t2_v2_0; // TLM =
            v1_4=v2_0; // SAC =
            t2_v2_0=t2_v1_0; // TLM scalar memory reference
            v2_0=v1_0; // SAC scalar memory reference
            t2_v2_1=t2_v1_4; // TLM scalar memory reference
            v2_1=v1_4; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_v1_5=t2_v2_2; // TLM =
            v1_5=v2_2; // SAC =
            t2_v2_0=t2_a1_yy[i_E]; // TLM array memory reference
            v2_0=a1_yy[i_E]; // SAC array memory reference
            t2_a1_v1_5=t2_v2_0; // TLM =
            a1_v1_5=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_yy[i_E]=t2_v2_0; // TLM =
            a1_yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_a1_v1_5; // TLM scalar memory reference
            v2_0=a1_v1_5; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_v2_1=t2_a1_v1_5; // TLM scalar memory reference
            v2_1=a1_v1_5; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_a1_v1_4=t2_v2_2; // TLM =
            a1_v1_4=v2_2; // SAC =
            t2_v2_0=t2_a1_v1_4; // TLM scalar memory reference
            v2_0=a1_v1_4; // SAC scalar memory reference
            t2_a1_v1_3=t2_v2_0; // TLM =
            a1_v1_3=v2_0; // SAC =
            t2_v2_0=t2_v1_2; // TLM scalar memory reference
            v2_0=v1_2; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_1=t2_v2_2; // TLM =
            a1_v1_1=v2_2; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_2=t2_v2_2; // TLM =
            a1_v1_2=v2_2; // SAC =
            t2_v2_0=t2_a1_par_Cont; // TLM scalar memory reference
            v2_0=a1_par_Cont; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_2; // TLM scalar memory reference
            v2_1=a1_v1_2; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_Cont=t2_v2_2; // TLM =
            a1_par_Cont=v2_2; // SAC =
            t2_v2_0=t2_a1_par_Para; // TLM scalar memory reference
            v2_0=a1_par_Para; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_1; // TLM scalar memory reference
            v2_1=a1_v1_1; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_Para=t2_v2_2; // TLM =
            a1_par_Para=v2_2; // SAC =
            t2_v2_0=t2_a1_var_x; // TLM scalar memory reference
            v2_0=a1_var_x; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_var_x=t2_v2_2; // TLM =
            a1_var_x=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_par_Cont=t2_v2_0; // TLM =
            par_Cont=v2_0; // SAC =
            t2_v2_0=t2_p[1]; // TLM array memory reference
            v2_0=p[1]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_par_Cont; // TLM scalar memory reference
            v2_0=a1_par_Cont; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_par_Cont=t2_v2_0; // TLM =
            a1_par_Cont=v2_0; // SAC =
            t2_v2_0=t2_a1_p[1]; // TLM array memory reference
            v2_0=a1_p[1]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_p[1]=t2_v2_2; // TLM =
            a1_p[1]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_par_Para=t2_v2_0; // TLM =
            par_Para=v2_0; // SAC =
            t2_v2_0=t2_p[0]; // TLM array memory reference
            v2_0=p[0]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_par_Para; // TLM scalar memory reference
            v2_0=a1_par_Para; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_par_Para=t2_v2_0; // TLM =
            a1_par_Para=v2_0; // SAC =
            t2_v2_0=t2_a1_p[0]; // TLM array memory reference
            v2_0=a1_p[0]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_p[0]=t2_v2_2; // TLM =
            a1_p[0]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_der_var_z=t2_v2_0; // TLM =
            der_var_z=v2_0; // SAC =
            t2_v2_0=t2_der_x[2]; // TLM array memory reference
            v2_0=der_x[2]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_der_var_z; // TLM scalar memory reference
            v2_0=a1_der_var_z; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_der_var_z=t2_v2_0; // TLM =
            a1_der_var_z=v2_0; // SAC =
            t2_v2_0=t2_a1_der_x[2]; // TLM array memory reference
            v2_0=a1_der_x[2]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_x[2]=t2_v2_2; // TLM =
            a1_der_x[2]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_var_z=t2_v2_0; // TLM =
            var_z=v2_0; // SAC =
            t2_v2_0=t2_x[2]; // TLM array memory reference
            v2_0=x[2]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_var_z; // TLM scalar memory reference
            v2_0=a1_var_z; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_var_z=t2_v2_0; // TLM =
            a1_var_z=v2_0; // SAC =
            t2_v2_0=t2_a1_x[2]; // TLM array memory reference
            v2_0=a1_x[2]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_x[2]=t2_v2_2; // TLM =
            a1_x[2]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_der_var_y=t2_v2_0; // TLM =
            der_var_y=v2_0; // SAC =
            t2_v2_0=t2_der_x[1]; // TLM array memory reference
            v2_0=der_x[1]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_der_var_y; // TLM scalar memory reference
            v2_0=a1_der_var_y; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_der_var_y=t2_v2_0; // TLM =
            a1_der_var_y=v2_0; // SAC =
            t2_v2_0=t2_a1_der_x[1]; // TLM array memory reference
            v2_0=a1_der_x[1]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_x[1]=t2_v2_2; // TLM =
            a1_der_x[1]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_var_y=t2_v2_0; // TLM =
            var_y=v2_0; // SAC =
            t2_v2_0=t2_x[1]; // TLM array memory reference
            v2_0=x[1]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_var_y; // TLM scalar memory reference
            v2_0=a1_var_y; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_var_y=t2_v2_0; // TLM =
            a1_var_y=v2_0; // SAC =
            t2_v2_0=t2_a1_x[1]; // TLM array memory reference
            v2_0=a1_x[1]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_x[1]=t2_v2_2; // TLM =
            a1_x[1]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_der_var_x=t2_v2_0; // TLM =
            der_var_x=v2_0; // SAC =
            t2_v2_0=t2_der_x[0]; // TLM array memory reference
            v2_0=der_x[0]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_der_var_x; // TLM scalar memory reference
            v2_0=a1_der_var_x; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_der_var_x=t2_v2_0; // TLM =
            a1_der_var_x=v2_0; // SAC =
            t2_v2_0=t2_a1_der_x[0]; // TLM array memory reference
            v2_0=a1_der_x[0]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_x[0]=t2_v2_2; // TLM =
            a1_der_x[0]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_var_x=t2_v2_0; // TLM =
            var_x=v2_0; // SAC =
            t2_v2_0=t2_x[0]; // TLM array memory reference
            v2_0=x[0]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_var_x; // TLM scalar memory reference
            v2_0=a1_var_x; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_var_x=t2_v2_0; // TLM =
            a1_var_x=v2_0; // SAC =
            t2_v2_0=t2_a1_x[0]; // TLM array memory reference
            v2_0=a1_x[0]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_x[0]=t2_v2_2; // TLM =
            a1_x[0]=v2_2; // SAC =
         }
      }
   }
   if (bmode_1==2) {
      t1_res(yy,t2_yy,der_x,t2_der_x,x,t2_x,p,t2_p,condit,lock,prev,n_x,n_p,n_c);
   }
}
